"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "BigTable", {
  enumerable: true,
  get: function get() {
    return _BigTable["default"];
  }
});
Object.defineProperty(exports, "Cascader", {
  enumerable: true,
  get: function get() {
    return _Cascader["default"];
  }
});
Object.defineProperty(exports, "DateRange", {
  enumerable: true,
  get: function get() {
    return _DateRange["default"];
  }
});
Object.defineProperty(exports, "DetailInfo", {
  enumerable: true,
  get: function get() {
    return _DetailInfo["default"];
  }
});
Object.defineProperty(exports, "EASY_DETAIL_TYPE", {
  enumerable: true,
  get: function get() {
    return _DetailInfo.EASY_DETAIL_TYPE;
  }
});
Object.defineProperty(exports, "DictSelect", {
  enumerable: true,
  get: function get() {
    return _DictSelect["default"];
  }
});
Object.defineProperty(exports, "DictText", {
  enumerable: true,
  get: function get() {
    return _DictText["default"];
  }
});
Object.defineProperty(exports, "FileUpload", {
  enumerable: true,
  get: function get() {
    return _FileUpload["default"];
  }
});
Object.defineProperty(exports, "Form", {
  enumerable: true,
  get: function get() {
    return _Form["default"];
  }
});
Object.defineProperty(exports, "FormMixin", {
  enumerable: true,
  get: function get() {
    return _Form.FormMixin;
  }
});
Object.defineProperty(exports, "FORM_ITEM_TYPE", {
  enumerable: true,
  get: function get() {
    return _Form.FORM_ITEM_TYPE;
  }
});
Object.defineProperty(exports, "Image", {
  enumerable: true,
  get: function get() {
    return _Image["default"];
  }
});
Object.defineProperty(exports, "Input", {
  enumerable: true,
  get: function get() {
    return _Input["default"];
  }
});
Object.defineProperty(exports, "Loading", {
  enumerable: true,
  get: function get() {
    return _Loading["default"];
  }
});
Object.defineProperty(exports, "MixedInput", {
  enumerable: true,
  get: function get() {
    return _MixedInput["default"];
  }
});
Object.defineProperty(exports, "Modal", {
  enumerable: true,
  get: function get() {
    return _Modal["default"];
  }
});
Object.defineProperty(exports, "MultipleSelect", {
  enumerable: true,
  get: function get() {
    return _MultipleSelect["default"];
  }
});
Object.defineProperty(exports, "OssImage", {
  enumerable: true,
  get: function get() {
    return _OssImage["default"];
  }
});
Object.defineProperty(exports, "PageHeader", {
  enumerable: true,
  get: function get() {
    return _PageHeader["default"];
  }
});
Object.defineProperty(exports, "SearchBar", {
  enumerable: true,
  get: function get() {
    return _SearchBar["default"];
  }
});
Object.defineProperty(exports, "SearchTable", {
  enumerable: true,
  get: function get() {
    return _SearchTable["default"];
  }
});
Object.defineProperty(exports, "SearchTableMixin", {
  enumerable: true,
  get: function get() {
    return _SearchTable.SearchTableMixin;
  }
});
Object.defineProperty(exports, "Select", {
  enumerable: true,
  get: function get() {
    return _Select["default"];
  }
});
Object.defineProperty(exports, "AbstractStep", {
  enumerable: true,
  get: function get() {
    return _Step.AbstractStep;
  }
});
Object.defineProperty(exports, "BaseStepPage", {
  enumerable: true,
  get: function get() {
    return _Step.BaseStepPage;
  }
});
Object.defineProperty(exports, "SuggestSelect", {
  enumerable: true,
  get: function get() {
    return _SuggestSelect["default"];
  }
});
Object.defineProperty(exports, "Table", {
  enumerable: true,
  get: function get() {
    return _Table["default"];
  }
});
Object.defineProperty(exports, "TableOptions", {
  enumerable: true,
  get: function get() {
    return _TableOptions["default"];
  }
});
Object.defineProperty(exports, "TextArea", {
  enumerable: true,
  get: function get() {
    return _TextArea["default"];
  }
});
exports["default"] = void 0;

var _BigTable = _interopRequireDefault(require("./BigTable"));

var _Cascader = _interopRequireDefault(require("./Cascader"));

var _DateRange = _interopRequireDefault(require("./DateRange"));

var _DetailInfo = _interopRequireWildcard(require("./DetailInfo"));

var _DictSelect = _interopRequireDefault(require("./DictSelect"));

var _DictText = _interopRequireDefault(require("./DictText"));

var _FileUpload = _interopRequireDefault(require("./FileUpload"));

var _Form = _interopRequireWildcard(require("./Form"));

var _Image = _interopRequireDefault(require("./Image"));

var _Input = _interopRequireDefault(require("./Input"));

var _Loading = _interopRequireDefault(require("./Loading"));

var _MixedInput = _interopRequireDefault(require("./MixedInput"));

var _Modal = _interopRequireDefault(require("./Modal"));

var _MultipleSelect = _interopRequireDefault(require("./MultipleSelect"));

var _OssImage = _interopRequireDefault(require("./OssImage"));

var _PageHeader = _interopRequireDefault(require("./PageHeader"));

var _SearchBar = _interopRequireDefault(require("./SearchBar"));

var _SearchTable = _interopRequireWildcard(require("./SearchTable"));

var _Select = _interopRequireDefault(require("./Select"));

var _Step = require("./Step");

var _SuggestSelect = _interopRequireDefault(require("./SuggestSelect"));

var _Table = _interopRequireDefault(require("./Table"));

var _TableOptions = _interopRequireDefault(require("./TableOptions"));

var _TextArea = _interopRequireDefault(require("./TextArea"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var components = [_BigTable["default"], _Cascader["default"], _DateRange["default"], _DetailInfo["default"], _DictSelect["default"], _DictText["default"], _FileUpload["default"], _Form["default"], _Image["default"], _Input["default"], _Loading["default"], _MixedInput["default"], _Modal["default"], _MultipleSelect["default"], _OssImage["default"], _PageHeader["default"], _SearchBar["default"], _SearchTable["default"], _Select["default"], _Step.AbstractStep, _Step.BaseStepPage, _SuggestSelect["default"], _Table["default"], _TableOptions["default"], _TextArea["default"]]; // 统一use的方法

var install = function install(Vue, options) {
  components.forEach(function (component) {
    Vue.use(component, options);
  });
}; // 其他导出


var _default = {
  install: install
}; // 组件导出

exports["default"] = _default;